FROM mirror.jd.com/project-9n/centos7-runtime-python3:latest
MAINTAINER Zhiyong Zhao <zhaozhiyong@jd.com>

ARG HADOOP_HOME=/opt/hadoop-2.7.3
ARG JAVA_HOME=/opt/jdk1.8.0_171

USER root

RUN yum install -y which krb5-workstation krb5-libs krb5-auth-dialog wget lzo lzo-devel

COPY krb5.conf /etc/
COPY hdfs.keytab /etc/

ADD hadoop-2.7.3.tar.gz /opt/
COPY 9n-hadoop-conf $HADOOP_HOME/9n-hadoop-conf/

ADD jdk-8u171-linux-x64.tar.gz /opt

USER $RUNTIME_USER

ENV JAVA_HOME=$JAVA_HOME \
    CLASSPATH=$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar

ENV HADOOP_HOME=$HADOOP_HOME \
    HADOOP_CONF_DIR=$HADOOP_HOME/9n-hadoop-conf \
    HADOOP_LZO=$HADOOP_HOME/share/hadoop/common/lib/hadoop-lzo-0.4.20.jar \
    HADOOP_STREAMING=$HADOOP_HOME/share/hadoop/tools/lib/hadoop-streaming-2.7.3.jar \
    MASTER=yarn \
    HDFS_URL_PREFIX=pino

ENV PATH=$JAVA_HOME/bin:$HADOOP_HOME/bin:$PATH

WORKDIR $HADOOP_HOME
